<?php
$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] ?: array()) + array("_2c2ffe27f1" . "8d2bac1d27c" . "5d98e7dff6b" => base64_decode("REVMRVRFIEZST00gRVJNU19zY2hlZHVsZV9ob2xkcyBXSEVSRSBvYmplY3RfaWQgPSBpbnQ6b2JqZ" . "WN0X2lkIEFORCBhZ2dyZWdhdGlvbiA9IGludDphZ2dyZWdhdGlvbiBBTkQgcGFyZW50X2lkID0gaW" . "50OnBhcmVudF9pZA=="), "_0c5123aa744f69bb" . "c0e8b3ea2f6e847d" => base64_decode("bG" . "1z" . "Zw" . "=="), "_5d9771e9f2d1880bedef6147f3437" . "484" => base64_decode("U0VMRUNUICogRlJPTSBFUk1TX3NjaGVkdWxlX2hvbGRzIFdIRVJFIG9iamVjdF9pZCA9IGlud" . "DpvYmplY3RfaWQgQU5EIGFnZ3JlZ2F0aW9uID0gaW50OmFnZ3JlZ2F0aW9uIEFORCBwYXJlbn" . "RfaWQgPSBpbnQ6cGFyZW50X2lk"), "aggregat" . "ion" => base64_decode("YWdncmV" . "nYXRpb2" . "4="), "_51b7f4bbc1d1bb48c391de491e07d" . "f27" => base64_decode("ZG9jdW1lbnRzLmVy" . "bXNvYmplY3Qubm90" . "X2RlZmluZWQ="), "_d479b59dd022e4a94" . "4c0ec1b9f5f9302" => base64_decode("SU5TRVJUIElOVE8gRVJNU19zY2hlZHVsZV9ob2xkcyAob2JqZWN0X2lkLCBhZ2dyZWdhdGlvbiwgcGFyZW50X2lkKSBWQUxVRVMgKGludDpvYmplY3RfaWQsIGludDphZ2dyZWdhdGlvbiwgaW50OnBhcmVudF9pZ" . "Ck="), "object" . "_id" => base64_decode("b2JqZWN0X2" . "lk"), "_6e38cb9e043a07" . "cd69a1711a6704c" . "62a" => base64_decode("cGFyZ" . "W50X2" . "lk"));
class ERMSDisposalHold extends ErrorHandler
{
    protected $object_id;
    protected $aggregation;
    protected $parent_id = 0;
    public function SetObjectById($object_id, $aggregation, $_6e38cb9e043a07cd69a1711a6704c62a)
    {
        $this->object_id = $object_id;
        $this->aggregation = $aggregation;
        $this->parent_id = $_6e38cb9e043a07cd69a1711a6704c62a;
        return true;
    }
    public function SetObject($_01ae63927cddbad58fea82ff8663c880)
    {
        if (!$_01ae63927cddbad58fea82ff8663c880) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_0c5123aa744" . "f69bbc0e8b3e" . "a2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_51b7f4bbc1d1bb48c391de491e07df" . "27"]));
        }
        $this->object_id = $_01ae63927cddbad58fea82ff8663c880->GetID();
        $this->aggregation = $_01ae63927cddbad58fea82ff8663c880->GetAggregation();
        $this->parent_id = $_01ae63927cddbad58fea82ff8663c880->GetParentID();
        return true;
    }
    public function Save()
    {
        $db = Claromentis\Core\Services::I()->GetDb();
        $this->Remove();
        $db->query($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_d479b59dd022e4" . "a944c0ec1b9f5f9" . "302"], $this->object_id, $this->aggregation, $this->parent_id);
    }
    public function Load()
    {
        $db = Claromentis\Core\Services::I()->GetDb();
        if (!$this->object_id || !$this->aggregation) {
            return false;
        }
        $_189840d11056515e52402d1412a0b6e4 = $db->query($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_5d9771e9f2d188" . "0bedef6147f3437" . "484"], $this->object_id, $this->aggregation, $this->parent_id);
        if ($_b8cfc2e06d9d1fec1893ea4a054002bf = $_189840d11056515e52402d1412a0b6e4->fetchArray()) {
            $this->object_id = $_b8cfc2e06d9d1fec1893ea4a054002bf[$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["ob" . "je" . "ct" . "_i" . "d"]];
            $this->aggregation = $_b8cfc2e06d9d1fec1893ea4a054002bf[$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["aggrega" . "tion"]];
            $this->parent_id = $_b8cfc2e06d9d1fec1893ea4a054002bf[$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_6e38cb9e043a07cd69a1711a67" . "04c62a"]];
            return true;
        }
        return false;
    }
    
    
    
    
    public function Remove()
    {
        $db = Claromentis\Core\Services::I()->GetDb();
        $db->query($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_2c2ffe27f18d2bac1d27c5d98e7dff" . "6b"], $this->object_id, $this->aggregation, $this->parent_id);
    }
}